*, *::before, *::after {
    box-sizing: border-box;
}

html,
body {
    height: 100%;
    width: 100%;
    margin: 0;
    display: flex;
    justify-content: space-between;
    font-family: 'Rubik', sans-serif;
}

#clock {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 10%;
    margin-bottom: 2rem;
}

#clock h3 {
    text-transform: uppercase;
    font-weight: 700;
    letter-spacing: .1em;
    font-size: 1rem;
}

#time {
    display: flex;
    gap: .5rem;
    width: 100%;
}

#time div {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #00af8c;
    width: 100%;
    padding-top: .5rem;
    padding-bottom: 0;
    color: white;
    border-radius: 7px;
}

#time div span:nth-child(1) {
    font-size: 3rem;
    padding-bottom: .5rem;
}

#time div span:nth-child(2) {
    font-size: .8rem;
    text-transform: uppercase;
    letter-spacing: .2em;
    background-color: #009578;
    width: 100%;
    text-align: center;
    padding: .5rem 0;
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
}



#time div:last-child {
    background-color: darkgrey;
}

#time div:last-child span:nth-child(2) {
    background-color: #737373;
}

.notes {
    display: flex;
    height: 100%;
    width: 50%;
}

.notes__sidebar {
    border-right: 2px solid #dddddd;
    flex-shrink: 0;
    overflow-y: auto;
    padding: 1em;
    width: 300px;
}

.notes__add {
    background: #009578;
    border: none;
    border-radius: 7px;
    color: #ffffff;
    cursor: pointer;
    font-size: 1.25em;
    font-weight: bold;
    margin-bottom: 1em;
    padding: 0.75em 0;
    width: 100%;
}

.notes__add:hover {
    background: #00af8c;
}

.notes__list-item {
    cursor: pointer;
}

.notes__list-item--selected {
    background: #eeeeee;
    border-radius: 7px;
    font-weight: bold;
}

.notes__small-title,
.notes__small-updated {
    padding: 10px;
}

.notes__small-title {
    font-size: 1.2em;
}

.notes__small-body {
    padding: 0 10px;
}

.notes__small-updated {
    color: #aaaaaa;
    font-style: italic;
    text-align: right;
}

.notes__preview {
    display: flex;
    flex-direction: column;
    padding: 2em 3em;
    flex-grow: 1;
}

.notes__title,
.notes__body {
    border: none;
    outline: none;
    width: 100%;
}

.notes__title {
    font-size: 3em;
    font-weight: bold;
}

.notes__body {
    flex-grow: 1;
    font-size: 1.2em;
    line-height: 1.5;
    margin-top: 2em;
    resize: none;
}

 /* kanban */

.kanban {
    width: 50%;
    height: fit-content;
    min-height: 50vh;
    display: flex;
    padding: 30px;
    margin: 1rem;
    background: #009578;
    border-radius: 7px;
}

.kanban__column {
    flex: 1;
}

.kanban__column:not(:last-child) {
    margin-right: 30px;
}

.kanban__column-title {
    margin-bottom: 20px;
    font-size: 2rem;
    color: white;
    user-select: none;
}

.kanban__item-input {
    margin-bottom: .5rem;
    padding: 10px 15px;
    box-sizing: border-box;
    background: white;
    border-radius: 7px;
    cursor: pointer;
}

.kanban__dropzone {
    height: 10px;
    transition: background 0.15s, height 0.15s;
}

.kanban__dropzone--active {
    height: 20px;
    background: rgba(0,0,0, .25);
}

.kanban__add-item {
    width: 100%;
    padding: 10px 0;
    font-size: 16px;
    color: white;
    background: rgba(0,0,0,.1);
    border: none;
    border-radius: 7px;
    cursor: pointer;
}

.kanban__add-item:hover {
    background: rgba(0,0,0,.15);
}

/* Confirm custom window */

.confirm__container {
    position: fixed;
    inset: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0, .6);
    padding: .625rem;
    box-sizing: border-box;
    opacity: 0;
    animation: confirm__open .5s forwards;

    display: flex;
    align-items: center;
    justify-content: center;
}

.confirm__container-close {
    animation: confirm__close .5s forwards;;
}

.confirm__window {
    width: 100%;
    max-width: 600px;
    background: white;
    border-radius: 7px;

    font-size: 1rem;
    overflow: hidden;
    box-shadow: 0 0 .625rem rgba(0,0,0, .3);
    opacity: 0;
    animation: zoomIn 200ms forwards;
    animation-delay: 200ms;

    display: flex;
    flex-direction: column;
    align-items: center;
}

.confirm__window-close {
    animation: zoomOut 500ms forwards;
}

.confirm__title {
    width: 100%;
    text-align: left;
    padding: .5rem 1rem;
    margin: 0;
    background: #00af8c;
    color: white;
}

.confirm__body {
    padding: .1rem 1rem;
}

.confirm__buttons {
    width: 100%;
    display: flex;
    justify-content: right;
    gap: .5rem;
    padding: .5rem 1rem;
}

.confirm__buttons button {
    font-size: 1rem;
    border: none;
    border-radius: 7px;
    padding: .3rem .6rem;
    cursor: pointer;
    opacity: .7;
    color: white;
}

.confirm__buttons button:hover {
    opacity: 1;
}

.confirm__yes {
    background: #00af8c;
}

.confirm__cancel {
    background: #ff7d7d;
}

@keyframes zoomIn {
    from { transform: scale(.5); opacity: 0}
    to { transform: scale(1); opacity: 1}
}

@keyframes zoomOut {
    from { opacity: 1 }
    to { opacity: 0 }
}

@keyframes confirm__open {
    from { opacity: 0 }
    to { opacity: 1 }
}

@keyframes confirm__close {
    from { opacity: 1 }
    to { opacity: 0 }
}







